Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.0.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
237.0.0.0
Broadcast address
237.31.255.255
First usable
237.0.0.1
Last usable
237.31.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED000000 · Integer 3976200192 to 3978297343
Reverse DNS zones
0.237.in-addr.arpa
1.237.in-addr.arpa
2.237.in-addr.arpa
3.237.in-addr.arpa
4.237.in-addr.arpa
5.237.in-addr.arpa
6.237.in-addr.arpa
7.237.in-addr.arpa
8.237.in-addr.arpa
9.237.in-addr.arpa
10.237.in-addr.arpa
11.237.in-addr.arpa
12.237.in-addr.arpa
13.237.in-addr.arpa
14.237.in-addr.arpa
15.237.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.00000000.00000000.00000000237.0.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11101101.00000000.00000000.00000000237.0.0.0
Broadcast11101101.00011111.11111111.11111111237.31.255.255
Split into smaller subnets/18

237.0.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.0.0.0/18237.0.0.1 to 237.0.63.254237.0.63.25516,382
2237.0.64.0/18237.0.64.1 to 237.0.127.254237.0.127.25516,382
3237.0.128.0/18237.0.128.1 to 237.0.191.254237.0.191.25516,382
4237.0.192.0/18237.0.192.1 to 237.0.255.254237.0.255.25516,382
5237.1.0.0/18237.1.0.1 to 237.1.63.254237.1.63.25516,382
6237.1.64.0/18237.1.64.1 to 237.1.127.254237.1.127.25516,382
7237.1.128.0/18237.1.128.1 to 237.1.191.254237.1.191.25516,382
8237.1.192.0/18237.1.192.1 to 237.1.255.254237.1.255.25516,382
9237.2.0.0/18237.2.0.1 to 237.2.63.254237.2.63.25516,382
10237.2.64.0/18237.2.64.1 to 237.2.127.254237.2.127.25516,382
11237.2.128.0/18237.2.128.1 to 237.2.191.254237.2.191.25516,382
12237.2.192.0/18237.2.192.1 to 237.2.255.254237.2.255.25516,382
13237.3.0.0/18237.3.0.1 to 237.3.63.254237.3.63.25516,382
14237.3.64.0/18237.3.64.1 to 237.3.127.254237.3.127.25516,382
15237.3.128.0/18237.3.128.1 to 237.3.191.254237.3.191.25516,382
16237.3.192.0/18237.3.192.1 to 237.3.255.254237.3.255.25516,382
17237.4.0.0/18237.4.0.1 to 237.4.63.254237.4.63.25516,382
18237.4.64.0/18237.4.64.1 to 237.4.127.254237.4.127.25516,382
19237.4.128.0/18237.4.128.1 to 237.4.191.254237.4.191.25516,382
20237.4.192.0/18237.4.192.1 to 237.4.255.254237.4.255.25516,382
21237.5.0.0/18237.5.0.1 to 237.5.63.254237.5.63.25516,382
22237.5.64.0/18237.5.64.1 to 237.5.127.254237.5.127.25516,382
23237.5.128.0/18237.5.128.1 to 237.5.191.254237.5.191.25516,382
24237.5.192.0/18237.5.192.1 to 237.5.255.254237.5.255.25516,382
25237.6.0.0/18237.6.0.1 to 237.6.63.254237.6.63.25516,382
26237.6.64.0/18237.6.64.1 to 237.6.127.254237.6.127.25516,382
27237.6.128.0/18237.6.128.1 to 237.6.191.254237.6.191.25516,382
28237.6.192.0/18237.6.192.1 to 237.6.255.254237.6.255.25516,382
29237.7.0.0/18237.7.0.1 to 237.7.63.254237.7.63.25516,382
30237.7.64.0/18237.7.64.1 to 237.7.127.254237.7.127.25516,382
31237.7.128.0/18237.7.128.1 to 237.7.191.254237.7.191.25516,382
32237.7.192.0/18237.7.192.1 to 237.7.255.254237.7.255.25516,382
33237.8.0.0/18237.8.0.1 to 237.8.63.254237.8.63.25516,382
34237.8.64.0/18237.8.64.1 to 237.8.127.254237.8.127.25516,382
35237.8.128.0/18237.8.128.1 to 237.8.191.254237.8.191.25516,382
36237.8.192.0/18237.8.192.1 to 237.8.255.254237.8.255.25516,382
37237.9.0.0/18237.9.0.1 to 237.9.63.254237.9.63.25516,382
38237.9.64.0/18237.9.64.1 to 237.9.127.254237.9.127.25516,382
39237.9.128.0/18237.9.128.1 to 237.9.191.254237.9.191.25516,382
40237.9.192.0/18237.9.192.1 to 237.9.255.254237.9.255.25516,382
41237.10.0.0/18237.10.0.1 to 237.10.63.254237.10.63.25516,382
42237.10.64.0/18237.10.64.1 to 237.10.127.254237.10.127.25516,382
43237.10.128.0/18237.10.128.1 to 237.10.191.254237.10.191.25516,382
44237.10.192.0/18237.10.192.1 to 237.10.255.254237.10.255.25516,382
45237.11.0.0/18237.11.0.1 to 237.11.63.254237.11.63.25516,382
46237.11.64.0/18237.11.64.1 to 237.11.127.254237.11.127.25516,382
47237.11.128.0/18237.11.128.1 to 237.11.191.254237.11.191.25516,382
48237.11.192.0/18237.11.192.1 to 237.11.255.254237.11.255.25516,382
49237.12.0.0/18237.12.0.1 to 237.12.63.254237.12.63.25516,382
50237.12.64.0/18237.12.64.1 to 237.12.127.254237.12.127.25516,382
51237.12.128.0/18237.12.128.1 to 237.12.191.254237.12.191.25516,382
52237.12.192.0/18237.12.192.1 to 237.12.255.254237.12.255.25516,382
53237.13.0.0/18237.13.0.1 to 237.13.63.254237.13.63.25516,382
54237.13.64.0/18237.13.64.1 to 237.13.127.254237.13.127.25516,382
55237.13.128.0/18237.13.128.1 to 237.13.191.254237.13.191.25516,382
56237.13.192.0/18237.13.192.1 to 237.13.255.254237.13.255.25516,382
57237.14.0.0/18237.14.0.1 to 237.14.63.254237.14.63.25516,382
58237.14.64.0/18237.14.64.1 to 237.14.127.254237.14.127.25516,382
59237.14.128.0/18237.14.128.1 to 237.14.191.254237.14.191.25516,382
60237.14.192.0/18237.14.192.1 to 237.14.255.254237.14.255.25516,382
61237.15.0.0/18237.15.0.1 to 237.15.63.254237.15.63.25516,382
62237.15.64.0/18237.15.64.1 to 237.15.127.254237.15.127.25516,382
63237.15.128.0/18237.15.128.1 to 237.15.191.254237.15.191.25516,382
64237.15.192.0/18237.15.192.1 to 237.15.255.254237.15.255.25516,382
65237.16.0.0/18237.16.0.1 to 237.16.63.254237.16.63.25516,382
66237.16.64.0/18237.16.64.1 to 237.16.127.254237.16.127.25516,382
67237.16.128.0/18237.16.128.1 to 237.16.191.254237.16.191.25516,382
68237.16.192.0/18237.16.192.1 to 237.16.255.254237.16.255.25516,382
69237.17.0.0/18237.17.0.1 to 237.17.63.254237.17.63.25516,382
70237.17.64.0/18237.17.64.1 to 237.17.127.254237.17.127.25516,382
71237.17.128.0/18237.17.128.1 to 237.17.191.254237.17.191.25516,382
72237.17.192.0/18237.17.192.1 to 237.17.255.254237.17.255.25516,382
73237.18.0.0/18237.18.0.1 to 237.18.63.254237.18.63.25516,382
74237.18.64.0/18237.18.64.1 to 237.18.127.254237.18.127.25516,382
75237.18.128.0/18237.18.128.1 to 237.18.191.254237.18.191.25516,382
76237.18.192.0/18237.18.192.1 to 237.18.255.254237.18.255.25516,382
77237.19.0.0/18237.19.0.1 to 237.19.63.254237.19.63.25516,382
78237.19.64.0/18237.19.64.1 to 237.19.127.254237.19.127.25516,382
79237.19.128.0/18237.19.128.1 to 237.19.191.254237.19.191.25516,382
80237.19.192.0/18237.19.192.1 to 237.19.255.254237.19.255.25516,382
81237.20.0.0/18237.20.0.1 to 237.20.63.254237.20.63.25516,382
82237.20.64.0/18237.20.64.1 to 237.20.127.254237.20.127.25516,382
83237.20.128.0/18237.20.128.1 to 237.20.191.254237.20.191.25516,382
84237.20.192.0/18237.20.192.1 to 237.20.255.254237.20.255.25516,382
85237.21.0.0/18237.21.0.1 to 237.21.63.254237.21.63.25516,382
86237.21.64.0/18237.21.64.1 to 237.21.127.254237.21.127.25516,382
87237.21.128.0/18237.21.128.1 to 237.21.191.254237.21.191.25516,382
88237.21.192.0/18237.21.192.1 to 237.21.255.254237.21.255.25516,382
89237.22.0.0/18237.22.0.1 to 237.22.63.254237.22.63.25516,382
90237.22.64.0/18237.22.64.1 to 237.22.127.254237.22.127.25516,382
91237.22.128.0/18237.22.128.1 to 237.22.191.254237.22.191.25516,382
92237.22.192.0/18237.22.192.1 to 237.22.255.254237.22.255.25516,382
93237.23.0.0/18237.23.0.1 to 237.23.63.254237.23.63.25516,382
94237.23.64.0/18237.23.64.1 to 237.23.127.254237.23.127.25516,382
95237.23.128.0/18237.23.128.1 to 237.23.191.254237.23.191.25516,382
96237.23.192.0/18237.23.192.1 to 237.23.255.254237.23.255.25516,382
97237.24.0.0/18237.24.0.1 to 237.24.63.254237.24.63.25516,382
98237.24.64.0/18237.24.64.1 to 237.24.127.254237.24.127.25516,382
99237.24.128.0/18237.24.128.1 to 237.24.191.254237.24.191.25516,382
100237.24.192.0/18237.24.192.1 to 237.24.255.254237.24.255.25516,382
101237.25.0.0/18237.25.0.1 to 237.25.63.254237.25.63.25516,382
102237.25.64.0/18237.25.64.1 to 237.25.127.254237.25.127.25516,382
103237.25.128.0/18237.25.128.1 to 237.25.191.254237.25.191.25516,382
104237.25.192.0/18237.25.192.1 to 237.25.255.254237.25.255.25516,382
105237.26.0.0/18237.26.0.1 to 237.26.63.254237.26.63.25516,382
106237.26.64.0/18237.26.64.1 to 237.26.127.254237.26.127.25516,382
107237.26.128.0/18237.26.128.1 to 237.26.191.254237.26.191.25516,382
108237.26.192.0/18237.26.192.1 to 237.26.255.254237.26.255.25516,382
109237.27.0.0/18237.27.0.1 to 237.27.63.254237.27.63.25516,382
110237.27.64.0/18237.27.64.1 to 237.27.127.254237.27.127.25516,382
111237.27.128.0/18237.27.128.1 to 237.27.191.254237.27.191.25516,382
112237.27.192.0/18237.27.192.1 to 237.27.255.254237.27.255.25516,382
113237.28.0.0/18237.28.0.1 to 237.28.63.254237.28.63.25516,382
114237.28.64.0/18237.28.64.1 to 237.28.127.254237.28.127.25516,382
115237.28.128.0/18237.28.128.1 to 237.28.191.254237.28.191.25516,382
116237.28.192.0/18237.28.192.1 to 237.28.255.254237.28.255.25516,382
117237.29.0.0/18237.29.0.1 to 237.29.63.254237.29.63.25516,382
118237.29.64.0/18237.29.64.1 to 237.29.127.254237.29.127.25516,382
119237.29.128.0/18237.29.128.1 to 237.29.191.254237.29.191.25516,382
120237.29.192.0/18237.29.192.1 to 237.29.255.254237.29.255.25516,382
121237.30.0.0/18237.30.0.1 to 237.30.63.254237.30.63.25516,382
122237.30.64.0/18237.30.64.1 to 237.30.127.254237.30.127.25516,382
123237.30.128.0/18237.30.128.1 to 237.30.191.254237.30.191.25516,382
124237.30.192.0/18237.30.192.1 to 237.30.255.254237.30.255.25516,382
125237.31.0.0/18237.31.0.1 to 237.31.63.254237.31.63.25516,382
126237.31.64.0/18237.31.64.1 to 237.31.127.254237.31.127.25516,382
127237.31.128.0/18237.31.128.1 to 237.31.191.254237.31.191.25516,382
128237.31.192.0/18237.31.192.1 to 237.31.255.254237.31.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses